Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.tools.raster
Class SimpleText2Tiff

    java.lang.Object
      org.deegree.tools.raster.SimpleText2Tiff

    public class SimpleText2Tiff

extends Object

This class ist similar to Text2Tiff. The major difference is that SimpleText2Tiff just is able to transform x y z formateted textfiles into 16BIT tiff images if the text files contains equal distance rasters. Missing raster cells will be filled with '0'.
The major advantage of SimpleText2Tiff is its speed. It is significantly faster than Text2Tiff because several checks and calculations can be skippted.

Version:
  $Revision: 6251 $, $Date: 2007-03-19 16:59:28 +0100 (Mo, 19 Mrz 2007) $
Author:
  Andreas Poth, last edited by: $Author: poth $

Constructor Summary
`SimpleText2Tiff(File[] files, double resolution, float offset, float scaleFactor, boolean use32Bit)`

Method Summary
`static void` | `main(String[] args)`
`void` | `perform()` starts transformation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleText2Tiff

    public SimpleText2Tiff(File[] files,
                           double resolution,
                           float offset,
                           float scaleFactor,
                           boolean use32Bit)

Parameters:
  `files` - list of text files to tranform
  `resolution` - desired target resolution
  `offset` - desired z-value offset
  `scaleFactor` - desired z-value scale factor [value = (z + offset) * scaleFactor]
  `use32Bit` -

Method Detail

### perform

    public void perform()
                 throws Exception

  starts transformation

  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception` - if something went wrong.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org